Bank rules
/bank-rules
Create a bank rule
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Request Body
application/json
name*string
Length
1 <= lengthstatus?string|null
priority?integer|null
transactionType*string
Value in
"deposit" | "expense"mode?string|null
matchMode?string|null
conditions?|null
descriptionOverride?string|null
usePriorMonthEnd?boolean|null
Accrual date override for expense bank rules: post on the prior month end instead of the bank record date
vendorContactId?string|null
accountIds?|null
lines*
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrplatform.app/bank-rules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "transactionType": "deposit", "lines": [ { "splitMode": "fixed" } ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"status": "active",
"priority": -9007199254740991,
"transactionType": "deposit",
"mode": "suggest",
"matchMode": "all",
"conditions": [
{
"type": "description",
"operator": "contains",
"value": "string"
}
],
"descriptionOverride": "string",
"usePriorMonthEnd": true,
"version": -9007199254740991,
"vendorContact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"firstName": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"accounts": [
{
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
}
],
"lines": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"sortOrder": 9007199254740991,
"splitMode": "fixed",
"fixedCentAmount": 9007199254740991,
"percentageBps": 100000,
"assignment": "deposit_merchantFee",
"party": "owners",
"taxBehavior": "excluded",
"descriptionOverride": "string",
"markup": {
"amount": -9007199254740991,
"taxBehavior": "excluded",
"taxRate": {
"id": "string",
"name": "string",
"basisPoints": 100000
}
},
"account": {
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
},
"listing": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"firstName": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"taxRate": {
"id": "string",
"name": "string",
"basisPoints": 100000
}
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}